Subject: Offline Message from Mohamed makki: I wish if someone can return my messages
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 17 Jun 2020 10:59:43 -0000

From: Mohamed makki <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/checkout/mobile
Department: 

I wish if someone can return my messages and call me back 
I have placed an order and till now it’s pending because of weight and I asked for someone to call and give me quotation 

Your company is the worst is customer service and follow up 

----
Zopim
https://www.zopim.com